Package Details: ghcide 0.4.0-2

Git Clone URL: https://aur.archlinux.org/ghcide.git (read-only, click to copy)
Package Base: ghcide
Description: A library for building Haskell IDE tooling
Upstream URL: https://github.com/haskell/ghcide
Licenses: Apache
Submitter: rogryza
Maintainer: berberman
Last Packager: berberman
Votes: 1
Popularity: 0.92
First Submitted: 2020-01-08 10:23
Last Updated: 2020-09-27 09:45

Latest Comments

terminalnode commented on 2020-09-27 11:21

Now it's working, thanks!

berberman commented on 2020-09-27 09:51

@terminalnode: When building my projects under ghc 8.10, I can get the similar Decoding failure as well, so I think that's stack's fault. Anyway, this warning shouldn't break the build, and the failure of 0.4 was caused by the wrong yaml filename. I've fixed it, sorry about that.

terminalnode commented on 2020-09-27 09:25

Anyone else having problems compiling version 0.4? I get a heap of errors saying "Decoding failure: Invalid magic: e49ceb0f". SPecifically when building executable ghcide-bench it seems.

Poscat commented on 2020-02-08 13:05

https://wiki.archlinux.org/index.php/Unofficial_user_repositories#archlinuxcn
If you need pre-built binaries you can use our repo. We maintain a built bot that automatically rebuilds this package whenever this AUR updates.

amesgen commented on 2020-01-29 11:25

I can't explain the error message, as the previous step (download of this exact file) seems to have succeeded, but it then complains that it can't find the file. Is the file present in ~/.cache/yay/ghcide?

Can reproduce it with makepkg?

luizsol commented on 2020-01-29 10:18

I used yay. Here is the update log:

==> Validando source arquivos com sha256sums...
    ghcide-0.0.6 ... NÃO ENCONTRADA
==> ERRO: Um ou mais arquivos não passaram na verificação de validade!
Error downloading sources: ghcide

Translating:

==> Validating source files with sha256sums...
    ghcide-0.0.6 ... NO FOUND
==> ERROR: One or more files did not pass the validation verification!
Error downloading sources: ghcide

Any idea of what may be happening?

amesgen commented on 2020-01-29 09:54

Hmm, no idea what is wrong there... Did you try using makepkg directly, if you use an AUR helper?

luizsol commented on 2020-01-29 09:25

I'm unable to update. It says that the package is missing its sha256sums...